Bug 103491 - Context menu tab of Customize dialog should show context menu labels
Summary: Context menu tab of Customize dialog should show context menu labels
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: Context-Menu Customize-Dialog
  Show dependency treegraph
 
Reported: 2016-10-25 12:11 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-05-09 16:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-10-25 12:11:04 UTC
Steps:
1) Open writer
2) Add a comment
3) Right-click and the entry after 'Delete All Comments' is 'Format All Comments...'
4) Open Tools > Customize > Context Menu
5) Comment context menu already selected
6) The entry after 'Delete All Comments' is 'Comments...'

Version: 5.3.0.0.alpha1+
Build ID: 928776b734c6aa188151bbce048d5bef4486dce7
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-10-23_00:39:08
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Maxim Monastirsky 2016-10-25 13:39:29 UTC
This isn't specific to the context menu tab. All tabs use the menu label, so e.g. in the toolbar tab for .uno:ExportDirectToPDF you have "Export Directly as PDF", while the toolbar label is "PDF". And AFAIK this inherited from OOo.
Comment 2 Buovjaga 2016-11-11 20:47:50 UTC
Confirmed.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha1+
Build ID: 553cfda502a1516673233e409f91372766da6c4d
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 11th 2016
Comment 3 Commit Notification 2017-05-09 16:52:00 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a7851b522cd0e33c391037c1aaa901b8d675ad7a

tdf#103491 Show correct label for the current UI element type

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.